# $dcc.transferStatus

Returns the current status of a dcc file transfer

Usage

    $dcc.transferStatus
    $dcc.transferStatus(<dcc_id>)

Description

Returns the status in the specified DCC session.
The status is one of the strings "connecting", "transferring", "success" and "failure". "success" and "failure" are reported when the transfer is terminated. If <dcc_id> is omitted then the DCC Session associated with the current window is assumed.
If <dcc_id> is not a valid DCC session identifier (or it is omitted and the current window has no associated DCC session) then this function prints a warning and returns an empty sting.
If the DCC session does not refer to a file transfer then this function returns "".
See the dcc module documentation for more information.

Syntax Specification

    <string> $dcc.transferStatus
    <string> $dcc.transferStatus(<dcc_id:uint>)

Index, Functions

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013